Skip to main content
GET
List lists

Authorizations

x-metal-client-id
string
header
default:<client-id>
required

The Client ID of your API key.

x-metal-api-key
string
header
default:<api-key>
required

The secret value of your API key.

Query Parameters

page
integer
default:1

Page number, starting at 1 (max 100).

Required range: 1 <= x <= 100
limit
integer
default:100

Items per page (1 to 1000).

Required range: 1 <= x <= 1000
lt
string

Cursor: return items whose id is less than this value (use the last id from the previous page).

filter
enum<string>

Restrict results to one group of lists. my-lists returns lists you own. shared-with-me returns lists shared directly with you. firmwide returns lists that are not private. Any other non-empty value returns 400.

Available options:
my-lists,
shared-with-me,
firmwide
q
string

Case-insensitive substring match on the list name. Combines with filter when both are set.

Response

A list of lists.

data
object[]
metadata
object

Pagination details returned by GET /v1/lists.